from everos_cloud import EverOS
client = EverOS()
memories = client.v1.memories
response = memories.search(
filters={"user_id": "<string>"},
query="<string>",
method="<string>",
top_k=5
)
print(response)curl --request POST \
--url 'https://api.evermind.ai/api/v1/memories/search' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'What did Alice say about the project?',
filters: {},
method: 'hybrid',
memory_types: ['episodic_memory', 'profile'],
top_k: -1,
radius: 0.5,
include_original_data: false
})
};
fetch('https://api.evermind.ai/api/v1/memories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"query": {
"text": "<string>",
"method": "<string>",
"filters_applied": {}
},
"episodes": [],
"profiles": [],
"raw_messages": [],
"agent_memory": {
"cases": [],
"skills": []
},
"original_data": {}
}
}Search memories
Unified memory search endpoint supporting multiple memory types and retrieval methods.
from everos_cloud import EverOS
client = EverOS()
memories = client.v1.memories
response = memories.search(
filters={"user_id": "<string>"},
query="<string>",
method="<string>",
top_k=5
)
print(response)- keyword: BM25 keyword retrieval (Elasticsearch only)
- vector: Vector semantic retrieval (Milvus only)
- hybrid (default): Hybrid retrieval with rerank (ES + Milvus + Rerank)
- agentic: LLM-guided multi-round intelligent retrieval
- episodic_memory: Episodic memory (ES + Milvus)
- profile: User profile (Milvus only)
- raw_message: Raw unprocessed messages (ES only)
- agent_memory: Agent memory - cases and skills (ES + Milvus)
user_id or group_id.Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Body
Search query text
"What did Alice say about the project?"
Filter conditions. Supported fields: user_id, group_id, session_id, timestamp. user_id and group_id are placed at the top level of the filters object. session_id and timestamp support operators (eq, in, gt, gte, lt, lte) and can be used inside AND/OR combinators.
Retrieval method
keyword, vector, hybrid, agentic Memory types to search
episodic_memory, profile, raw_message, agent_memory Max results. -1 = return all meeting threshold (up to 100)
-1 <= x <= 100COSINE similarity threshold (0.0-1.0) for vector methods
0 <= x <= 1Whether to return original data
Response
Search results returned
Show child attributes
Show child attributes
Was this page helpful?

